/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2022-05-14
 * Changed:         2023-05-15
 *
 * */

#ifndef LS_STD_COLOUR_HPP
#define LS_STD_COLOUR_HPP

#include <ls-std/ls-std-core.hpp>
#include <string_view>

namespace test::event
{
  class Colour : public ls::std::core::Class
  {
    public:

      explicit Colour(::std::string_view _value);
      ~Colour() noexcept override;

      [[nodiscard]] ::std::string_view getValue() const;

    private:

      ::std::string_view value{};
  };
}

#endif
