/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2020-11-14
 * Changed:         2023-05-18
 *
 * */

#include "TestDataCar.hpp"

using std::string_view;
using test::event::TestDataCar;

TestDataCar::TestDataCar() : color("white")
{}

TestDataCar::~TestDataCar() = default;

string_view TestDataCar::getColor() const
{
  return this->color;
}

void TestDataCar::setColor(string_view _color)
{
  this->color = _color;
}
