/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2022-05-14
 * Changed:         2023-05-15
 *
 * */

#include "Colour.hpp"

using ls::std::core::Class;
using std::string;
using std::string_view;
using test::event::Colour;

Colour::Colour(string_view _value) : Class("Colour"), value(_value)
{}

Colour::~Colour() noexcept = default;

string_view Colour::getValue() const
{
  return this->value;
}
