/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2020-11-14
 * Changed:         2023-05-18
 *
 * */

#ifndef LS_STD_TEST_DATA_CAR_HPP
#define LS_STD_TEST_DATA_CAR_HPP

#include <string>
#include <string_view>

namespace test::event
{
  class TestDataCar
  {
    public:

      TestDataCar();
      virtual ~TestDataCar();

      [[nodiscard]] ::std::string_view getColor() const;
      void setColor(::std::string_view _color);

    private:

      ::std::string_view color{};
  };
}

#endif
